package com.whyisthis;

public class Night {
	String name;
	int bread;
	int greens;
	int dipping;
	boolean reclining;

	public void setName(String name) { this.name = name; }
	public void setBread(int bread) { this.bread = bread; }
	public void setGreens(int greens) { this.greens = greens; }
	public void setDipping(int dipping) { this.dipping = dipping; }
	public void setReclining(boolean reclining) { this.reclining = reclining; }

	public String getName() { return name; }
	public int getBread() { return bread; }
	public int getGreens() { return greens; }
	public int getDipping() { return dipping; }
	public boolean getReclining() { return reclining; }

	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append(name + "\n");
		sb.append("======================\n");
		if(bread == LEAVENED) 
			sb.append("BREAD    : LEAVENED\n");
		else if(bread == UNLEAVENED)
			sb.append("BREAD    : UNLEAVENED\n");

		if(greens == NOT_BITTER) 
			sb.append("GREENS   : NOT BITTER\n");
		else if(greens == BITTER)
			sb.append("GREENS   : BITTER\n");

		sb.append("DIPPING  : "+ dipping + " TIMES\n");
		sb.append("RECLINING: "  + (reclining ? "YES" : "NO") + "\n");
		return sb.toString();
	}

	public static final int LEAVENED = 1;
	public static final int UNLEAVENED = 2;
	public static final int NOT_BITTER = 3;
	public static final int BITTER = 4;
	public static final int NOT_PASSOVER = 5;
	public static final int PASSOVER = 6;
}
